* {
    box-sizing: border-box;
    margin: 0;
    user-select: none;
    cursor: none !important;
    text-transform: lowercase;
}

#contact-title {
    font-size: 50px;
    text-align: left;
    animation: fadeIn 2s forwards;
}


/* PROJECT */

h1 {
    text-align: center;
    font-weight: 600;
    font-size: 16px;
    margin-top: 100px;
    margin-bottom: 0;
    color: #ffffff;
}


h2 {
    text-align: center;
    font-weight: 300;
    font-size: 10px;
    margin-top: 3px;
    color: #ffffff;
    margin-bottom: 10px;
}
/*

#project {
    filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'grayscale\'><feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/></filter></svg>#grayscale");
    -webkit-filter: grayscale(100%);
    filter: gray;
    -webkit-transition: all .6s ease;
    -webkit-backface-visibility: hidden;
}

#project:hover {
    filter: none;
    -webkit-filter: grayscale(0%);
}

*/


.row {
    display: flex;

  }
  
  .column {
    flex: 33.33%;
    width: 100%;
    padding: 0px;

  }

  .column img {
    aspect-ratio: 16/9;
    object-fit: cover;
  }





  #workheader {
    height: 90px;
    background: linear-gradient(rgba(0,0,0,1), 
                                rgba(0,0,0,0));
    z-index: 20;
    position: fixed;

  }

.splash-wrapper {
    height: 100vh;
    width: 100%;
    position: fixed;
    left: 0;
    right: 0;
    background-color: #000000;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10000;
    display: none; /* Initially hide the splash screen */
}

.counter-container {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.counter {
    display: block;
    margin: 0 auto;
    font-size: 80px;
    font-family: termina;
    font-weight: 600;
    opacity: 1;
    transition: opacity 1s ease-in-out;
}

.fade-out {
    opacity: 0;
}



/* Scrollbar  */

::-webkit-scrollbar {
    width: 0px;
}

::-webkit-scrollbar-track {
    background: #000000;
}

::-webkit-scrollbar-thumb {
    background: #363636;
}

::-webkit-scrollbar-thumb:hover {
    background: #363636;
}

header {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/* Hamburger */


.menu-btn{
    position: absolute;
    z-index: 11;
    right: 35px;
    top: 35px;
    height: 32px;
    width: 22px;
    text-align: center;
    line-height: 50px;
    border-radius: 50%;
    font-size: 20px;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    position: fixed;
}

.menu-btn span,
.menu-btn:before,
.menu-btn:after{
    content: "";
    position: absolute;
    top: calc(50% - 1px);
    left: 0;
    width: 22px;
    border-bottom: 3px solid #ffffff;
    transition: transform .6s cubic-bezier(0.215, 0.61, 0.355, 1);
    z-index: 3;
}

.menu-btn:before{
    transform: translateY(-8px);
    z-index: 3;
}

.menu-btn:after{
    transform: translateY(8px);
    z-index: 3;
}

.close{
    z-index: 1;
    width: 100%;
    height: 100%;
    pointer-events: none;
    transition: background .2s;
    z-index: 3;
}

#active:checked + .menu-btn span{
    transform: scaleX(0);
    z-index: 3;
}

#active:checked + .menu-btn:before{
    transform: rotate(45deg);
    border-color: #fff;
    z-index: 3;
}

#active:checked + .menu-btn:after{
    transform: rotate(-45deg);
    border-color: #fff;
    z-index: 3; 
}


input[type="checkbox"]{
    display: none;
}

/* Body */


body {
    font-family: "termina", sans-serif;
    background-color: black;
    color: white;
    height: 100svh;
    min-height: 500px;
    position: relative;
    z-index: 0;
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
}

.o-hidden{
    overflow: hidden;
}



p {
    font-family: "aktiv-grotesk-devanagari", sans-serif;
    font-weight: 300;
    font-style: normal;
    font-size: 16px;
    animation: fadeIn 2s forwards;
    }

a {
    text-decoration: none;
    color: white;
}

main {
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1;
    animation: fadeIn 0.7s forwards ease-in-out;
    flex-direction: column;
  
}

.container {
    padding: 30px;
    max-width: 1530px;
    width: 100%;
    margin-bottom: 118px;
    animation: fadeIn 2s forwards;
}

footer {
    padding: 40px;
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 100;
}

.non-fixed {
    position: static;
}

/* Menu */

#menu {
    position: fixed;
    top: 0;
    right: 0;
    height: 100%;
    width: 100%;
    background-color: black;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: center;
    text-align: start;
    opacity: 1;
    transition: .7s;
    z-index: 10;
    transform: translateX(100%);
    pointer-events: none;
}



.opened {
    opacity: 1 !important;
    pointer-events: all !important;
    z-index: 1;
}

.keepopened * {
    transition: 0s !important;
    transform: none !important;
}

.keepopened {
    transition: 0s !important;
}

.opened .menu-items {
    transform: translateX(0) !important;
    
    
}

.opened .menu-items a {
    animation: bounce 1s ease-in forwards;
    animation-delay: 0.8s;
    
}


.opened{
    transform: translateX(0) !important;
    z-index: 3;

}

.opened .menu-items a {
    animation: bounce 1s ease-in forwards;
    animation-delay: 0.8s ease-out;

}

.menu-items {
    font-size: 120px;
    font-family: "termina" sans-serif;
    font-weight: 600;
    display: flex;
    flex-direction: column;
    transition: 0.9s;
    padding-right: 20%;
    height: 100%;
    transform: translateX(100%);
    justify-content: center;
    overflow: hidden;
    line-height: 1.2;
    text-align: right;
    
}







.menu-items a {
    scale: 100%;
    filter: blur(0px);
    scale: 100%;
    text-shadow: #ffffff;
    transition: .5s ease;

}


.menu-items a.blur {
    filter: blur(3px);
    scale: 98%;
}

.menu-items a:hover {
    filter: blur(0px);
    scale: 100%;
}



    


#menu .icon {
    position: absolute;
    top: 10px;
    right: 10px
}



#logo {
    color: white;
    z-index: 21;
    position: fixed;
    width: 80px;
    top: 20px;
    left: 25px;
}

img #logo {
    width: 100px;
    position: fixed;
}

/* Icons (hamburger, close, instagram) */

.icon {
    cursor: pointer;
    width: 30px;
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(2%) hue-rotate(284deg) brightness(109%) contrast(101%);
}

/* Play icon */

.icon-large {
    width: 45px;
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(2%) hue-rotate(284deg) brightness(109%) contrast(101%);
    scale: 100%;
    transition: .5s ease;
    
}

#home-works-btn:hover .icon-large{
    scale: 130%;
}



/* Instagram icon */

.grey-filter {
    filter: brightness(0) saturate(100%) invert(74%) sepia(0%) saturate(2403%) hue-rotate(153deg) brightness(90%) contrast(84%);
    
}

/* Backoground Video Container */

.bg-video {
   
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    object-fit: cover;
    font-size: 0;
}



/* Backoground Video Overlay for dark transparent effect*/

.bg-overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.80); /* Transparency */
}

/* Backoground Video*/

.bg-video video {
    position: fixed;
    height: 100%;
    width: 100%;
    object-fit: cover;
}





/* Cursor */

.cursor {
    width: 40px;
    height: 40px;
    border: 3px solid white;
    border-radius: 50%;
    position: fixed;
    left: -100px;
    box-shadow: 2px -3px 41px -1px rgba(250, 250, 250, 0.64);
    transition: 0.2s transform;
    pointer-events: none;
    display: none;
    z-index: 1000;

    transition-delay: 1s display;
}

/* Cursor hover Effect on titles, ect. */

.hover {
    transform: scale(2);
    mix-blend-mode: difference;
    background: white;
}

.press{
    transform: scale(0.7) !important;
        mix-blend-mode: difference;
        background: white;
}

/* Home page "more of my work" button */

#home-works-btn {
    color: white;
    display: table;
    margin: 0 auto;
    padding: 10px;
    font-size: 20px;
    font-family: "termina", sans-serif;
    font-weight: 600;
}

#home-works-btn div {
    display: flex;
    gap: 5px;
    flex-direction: row;
    align-items: center;

}




/* Contact Page */

.contact {
    height: 100%;
    display: flex;
    align-items: center;
    
}

.contact-items {
    width: 50%;
    margin: auto;
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
    text-align: center;
}

.contact h1 {
    font-size: 100px;
}

p {
    
    font-family: "franklin-gothic-atf", sans-serif;
    font-weight: 200;
    font-style: normal;
}

.email-link {
    font-size: 16px;
    font-family: "franklin-gothic-atf", sans-serif;
    font-weight: 200;
    font-style: normal;
    text-decoration: none;
    animation: fadeIn 2s forwards;

    
}

.email-link:hover {
    transition: all .5s ease;
    text-decoration: underline;
    
}

.slideshow {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    pointer-events: none;
    overflow: hidden; /* Ensures the overlay covers the entire slideshow area */
}


.mySlides {
    position: relative; /* Ensure images are positioned relative to the slideshow */
    display: none;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 20%;
    filter: grayscale();
}

/* Work Page (Reha,..) */

.work-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
    height: 100%;
    max-width: 1300px;
    margin: 0 auto;
    margin-top: 70px;
    margin-bottom: 70px;
}

.work-grid img {
    width: 100%;
    object-fit: cover;
}

.work-title {
    text-align: center;
    align-items: center;
    margin-top: 60px;
    margin-bottom: 10px;
    font-size: 20px;
    animation: fadeIn 2s forwards;
}

.work-text {
    max-width: 700px;
    margin: auto;
    margin-bottom: 60px;
}


.workvideotext{
    max-width: 1300px;
    margin: 0 auto;
    margin-top: 100px;

}

.workvideotext{
    display: block;
    grid-template-columns: 7.5fr 4.5fr;
    gap: 50px;
    text-align: center;

}


.workvideotext iframe{
    width: 80%;
aspect-ratio: 16 / 9;
height: auto;
}


.contact-content {
    margin: auto;
    margin-left: 10%;
    padding-bottom: 200px;
    justify-content: left;
    text-align: left;
    max-width: 700px;
}






#ytvideo {
    padding-top: 150px;
    animation: fadeIn 2s forwards;

}


/* Works Page 

.work-item-title {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    display: flex;
    align-items: flex-end;
    padding: 60px 0;
    opacity: 100%;
    margin-top: 70px;
    filter: drop-shadow(0px 0px 30px #3a3a3a);

}



.work-item {
    position: relative;
    height: 405px;
    display: block;
    margin-bottom: 120px;
    
}


.work-item:hover img {
    scale: 105%;
    filter: brightness(100%);
}

.work-item img {
    margin: 20px 0;
    margin-left: 12%;
    height: 120%;
    width: 60%;
    scale: 100%;
    transition: .5s;
    filter: brightness(50%);
    
}







.work-item-title h2 {
    font-size: min(5.7vw, 89px);
}

*/

/* Animations */

@keyframes bounce {
    0% {
        transform: translateX(0);
    }

    35% {
        transform: translateX(5px);
    }

    100% {
        transform: translateX(0);
    }
}

@keyframes expand {
    0% {
        aspect-ratio: 842 / 474;
    }

    100% {
        aspect-ratio: 1088 / 612;
        width: 65%;
        height: 100%;
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

/* For devices below 1400px */

@media only screen and (max-width: 1520px) {

    .work-item {
        margin-top: 50px;
        height: auto;
        align-content: center;
        margin-bottom: 0px;
    }

    .work-item img {
        margin: 0;
        margin-left: 20%;
        display: block;
        height: auto;
        width: 60%;
        object-fit: cover;
        position: center;

    }

    .work-item-title {
        justify-content: left;
        width: 100%;
        padding: 90px 0;
        margin-left: 10%;
        position: absolute;
        margin-top: 10px;
    }

    .work-item-title h2 {
        font-size: 7vw;
    }

    .menu-items {
        font-size: 120px;
    }

    .contact h1 {
        font-size: 80px;
    }

    .contact-items {
        padding-left: 80px;
        font-size: 13px;
        padding-bottom: 70px;
    }



    .contact {
        padding-left: 100px;
        padding-right: 100px;
    }

   
}


/* For devices below 992px */

@media only screen and (max-width: 992px) {
    .work-grid {
        grid-template-columns: 100%;
        margin-top: 55px;
    }

    .work-grid {
        gap: 30px;
        margin-top: 30px;
    }
    


    .contact h1 {
        font-size: 70px;
    }

    .work-text {
        max-width: 700px;
    }


    .workvideotext{
        display: block;
        grid-template-columns: 100%;
        gap: 20px;
        align-content: center;
    }

    .workvideotext iframe{
        width: 100%;
    aspect-ratio: 16 / 9;
    height: auto;
    }

    .work-item-title h2 {
        font-size: min(7vw, 89px);
    }

    .work-item-title {
        margin-top: 40px;
    }

   

    @keyframes expand {
        0% {
            aspect-ratio: 842 / 474;
        }

        100% {
            aspect-ratio: 1088 / 612;
            width: 80%;
            height: 100%;
        }

    }

    .menu-items {
        font-size: 90px;
    }

    .contact-items {
        padding-left: 40px;
    }

    .contact-content {
        margin-right: 10%;
    }
}

    #logo {
        position: fixed;
        width: 80px;
    }

    .container {
        margin-bottom: 0;
    }

    

/* For devices below 768px */

@media only screen and (max-width: 768px) {
    .work-item-title {
        padding: 60px 0;
    }

    .contact h1 {
        font-size: 60px;
    }

    .contact-items {
        padding-left: 20px;
    }

   /*  .work video {
        margin: 10px auto;
        aspect-ratio: 1088 / 462;
            width: 100%;
            height: 100%;

    } */

   

    .work-item {
        margin-top: 30px;
    }

    .work-text {
        max-width: 600px;
    }

    @keyframes expand {
        0% {
            aspect-ratio: 842 / 474;
        }

        100% {
            aspect-ratio: 1088 / 462;
            width: 100%;
            height: 100%;
        }
    }
    .row {
        display: block;
    }

    #logo {
        top: 20px;
        position: fixed;
    }
}

/* For devices below 600px */

@media only screen and (max-width: 600px) {


    .splash-wrapper {
        overflow: hidden;
        height: 100%;
    }


    .splash-wrapper img {

        overflow: hidden;
        scale: 150%;
        
    }

    .work-item img {
        margin: 0 auto;
        display: block;
        height: auto;
        width: 90%;
        object-fit: cover;
    }

    .work-item-title {
        justify-content: center;
        width: 100%;
        margin-top: 0;
        margin-left: 0;

    }

    .work-item-title h2 {
        padding-bottom: 10px;
    }

 
    .menu-items {
        font-size: 70px;
        width: auto;
        height: 100%;
        transform: translateX(100%);
        justify-content: center;
        width: 100%;
        align-items: center;
        padding: 0;
    }

    .work-grid {
        gap: 20px;
        margin-top: 20px;
    }

   .work-text {
    max-width: 460px;
   }

   .workvideotext {
    margin-top: 70px;
   }

    .contact h1 {
        font-size: 60px;
    }

    .contact-items {
        height: auto;
        gap: 20px;
        padding-left: 30px;
        padding-right: 30px;
        padding-bottom: 0px;
        
    }

    .no-hover {
        font-size: 15px;
    }

    .email-link {
        font-size: 15px;
    }


    #logo {
        position: fixed;
        width: 80px;
    }

   

    

    

    .cursor {
        display: none !important;
    }

    * {
        cursor: auto !important
    }

    #home-works-btn {
        scale: 130%;
    }

    #home-works-btn *,
    .work-item-title h2,
    a,
    .icon {
        cursor: pointer !important;
    }

    .container,
    header,
    footer {
        padding: 20px;
    }

    #menu .icon {
        right: 20px;
        top: 20px;
    }

  /*   .work video {
        margin: 0 auto;
    } */

    .menu-btn{
        top: 20px;
        right: 20px;
    }

    

   
}

/* For devices below 450px */

@media only screen and (max-width: 450px) {
    .contact h1 {
        font-size: 50px;
    }

    #logo {
        position: fixed;
    }

    .work-item img {
        width: 90%;
    }

    .work-text {
        margin-bottom: 20px;

    }

    .work-title {
        margin-top: 20px;
    }

    @keyframes expand {
        0% {

        }
        100% {
            aspect-ratio: 1088 / 612;
            width: 100%;
            height: 100%;
        }
    }

    .menu-btn {
        position: absolute;
    }

    #home-works-btn {
        font-size: 15px;
    }

    #logo {
        font-size: 18px;
        padding-top: 2px;
        position: fixed;
        width: 60px;
    }

    .menu-items {
        font-size: 60px;
    }
    

}




/* For devices below 600px height */

@media only screen and (max-height: 600px) {
    body {
        min-height: 100svh;
        height: auto;
    }

    #logo {
        position: fixed;
    }
}


